Summary: An extensible window manager for the X Window System.
Name: sawfish
Version: 1.8.0
Release: 2
Requires: librep >= 0.91.1, librep-devel >= 0.91.1, rep-gtk >= 0.90.5
License: GPL
Group: User Interface/Desktops
Source: http://download.sourceforge.net/sawfish/sawfish-%{version}.tar.bz2
URL: http://sawmill.sourceforge.net/
Packager: Jan "Yenya" Kasprzak, http://www.fi.muni.cz/~kas/
# Based on package by John Harper <john@dcs.warwick.ac.uk>
Buildroot: /var/tmp/%{name}-root
BuildRequires: gmp-devel texinfo librep-devel rep-gtk-devel
Provides: windowmanager
Obsoletes: sawmill sawmill-gnome sawfish-gnome

%description
Sawfish is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawfishrc file, or
using a GTK+ interface.  Sawfish is mostly GNOME compliant

%prep
%setup

%build

LC_ALL=""
LINGUAS=""
LANG=""
export LC_ALL LINGUAS LANG

./autogen.sh

%configure
make host_type=%{_target_platform}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_datadir}/control-center
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Settings
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install \
    DESTDIR=$RPM_BUILD_ROOT \
    GNOMEDIR=%{_prefix} \
    host_type=%{_target_platform} \
    infodir=%{_infodir}
gzip -9nf $RPM_BUILD_ROOT%{_infodir}/sawfish*
rm -f $RPM_BUILD_ROOT%{_infodir}/dir $RPM_BUILD_ROOT%{_libdir}/pkgconfig/sawfish.pc

%post
/sbin/install-info %{_infodir}/sawfish.info.gz %{_infodir}/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/sawfish.info.gz %{_infodir}/dir
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS FAQ TODO
%doc po/sawfish.pot 
%{_bindir}/sawfish
%{_bindir}/sawfish-client
%{_bindir}/sawfish-config
%{_datadir}/icons/hicolor/32x32/apps/sawfish-config.png
%{_datadir}/sawfish/*
%{_datadir}/locale
%{_datadir}/gnome/wm-properties/sawfish-wm.desktop
%{_infodir}/sawfish*
#%{_libdir}/pkgconfig/sawfish.pc
%{_datadir}/applications/sawfish.desktop
%{_datadir}/xsessions/sawfish.desktop
%{_includedir}/sawfish
%{_libdir}/rep/*/sawfish
%{_libdir}/sawfish/*
%{_datadir}/kde4/apps/ksmserver/windowmanagers/sawfish.desktop
%doc %{_mandir}/man1/*

%changelog
* Tue Jun 12 2000 John Harper <john@dcs.warwick.ac.uk>
- merged differences from RH spec file

* Mon Apr 24 2000 John Harper <john@dcs.warwick.ac.uk>
- s/sawmill/sawfish/

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
